Get Accounts by Account Routing Regex
POST /obp/v7.0.0/management/accounts/account-routing-regex-query
OBPv4.0.0-getAccountsByAccountRoutingRegex No role required Account
This endpoint returns an array of accounts matching the provided routing scheme and the routing address regex.
The bank_id field is optional.
Example of account routing scheme: IBAN, OBP, AccountNumber, ...
Example of account routing address regex: DE175.*, 55897106215-[A-Z]{3}, ...
This endpoint can be used to retrieve multiples accounts matching a same account routing address pattern.
For example, if you want to link multiple accounts having different currencies, you can create an account
with 123456789-EUR as Account Number and an other account with 123456789-USD as Account Number.
So we can identify the Account Number as 123456789, so to get all the accounts with the same account number
and the different currencies, we can use this body in the request :
{
"bank_id": "BANK_ID",
"account_routing": {
"scheme": "AccountNumber",
"address": "123456789-[A-Z]{3}"
}
}
This request will returns the accounts matching the routing address regex (123456789-EUR and 123456789-USD).
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (89)
- account_attribute_id
- account_attributes
- account_routings
- accounts
- address
- alias
- amount
- 10.12
- balance
- 10
- bank_id
- gh.29.uk
- can_add_comment
- can_add_corporate_location
- can_add_image
- can_add_image_url
- false
- can_add_more_info
- false
- can_add_open_corporates_url
- can_add_physical_location
- can_add_private_alias
- can_add_public_alias
- can_add_tag
- false
- can_add_url
- can_add_where_tag
- can_delete_comment
- can_delete_corporate_location
- false
- can_delete_image
- false
- can_delete_physical_location
- can_delete_tag
- can_delete_where_tag
- false
- can_edit_owner_comment
- false
- can_see_bank_account_balance
- can_see_bank_account_bank_name
- false
- can_see_bank_account_currency
- can_see_bank_account_iban
- can_see_bank_account_label
- false
- can_see_bank_account_national_identifier
- can_see_bank_account_number
- false
- can_see_bank_account_owners
- false
- can_see_bank_account_swift_bic
- can_see_bank_account_type
- can_see_comments
- can_see_corporate_location
- false
- can_see_image_url
- false
- can_see_images
- false
- can_see_more_info
- can_see_open_corporates_url
- can_see_other_account_bank_name
- can_see_other_account_iban
- can_see_other_account_kind
- can_see_other_account_metadata
- can_see_other_account_national_identifier
- false
- can_see_other_account_number
- false
- can_see_other_account_swift_bic
- false
- can_see_owner_comment
- can_see_physical_location
- can_see_private_alias
- can_see_public_alias
- can_see_tags
- can_see_transaction_amount
- false
- can_see_transaction_balance
- can_see_transaction_currency
- can_see_transaction_description
- false
- can_see_transaction_finish_date
- can_see_transaction_metadata
- can_see_transaction_other_bank_account
- can_see_transaction_start_date
- can_see_transaction_this_bank_account
- can_see_transaction_type
- can_see_url
- false
- can_see_where_tag
- false
- currency
- EUR
- date
- 2020-01-27
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- display_name
- hide_metadata_if_alias_used
- false
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_public
- false
- label
- My Account
- name
- ACCOUNT_MANAGEMENT_FEE
- number
- owners
- product_code
- 1234BW
- provider
- ETHEREUM
- scheme
- OBP
- short_name
- tags
- Create-My-User
- type
- user
- value
- 5987953
- views_available
- product_instance_code
- product_instance_code
Example request body
{
"bank_id": "gh.29.uk",
"account_routing": {
"scheme": "OBP",
"address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
}
}Example success response
{
"accounts": [
{
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
"label": "NoneLabel",
"number": "123",
"owners": [
{
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
"provider": "http://127.0.0.1:8080",
"display_name": "OBP"
}
],
"product_code": "1234BW",
"balance": {
"currency": "EUR",
"amount": "0"
},
"views_available": [
{
"id": "123",
"short_name": "short_name",
"description": "description",
"is_public": true,
"alias": "None",
"hide_metadata_if_alias_used": true,
"can_add_comment": true,
"can_add_corporate_location": true,
"can_add_image": true,
"can_add_image_url": true,
"can_add_more_info": true,
"can_add_open_corporates_url": true,
"can_add_physical_location": true,
"can_add_private_alias": true,
"can_add_public_alias": true,
"can_add_tag": true,
"can_add_url": true,
"can_add_where_tag": true,
"can_delete_comment": true,
"can_delete_corporate_location": true,
"can_delete_image": true,
"can_delete_physical_location": true,
"can_delete_tag": true,
"can_delete_where_tag": true,
"can_edit_owner_comment": true,
"can_see_bank_account_balance": true,
"can_see_bank_account_bank_name": true,
"can_see_bank_account_currency": true,
"can_see_bank_account_iban": true,
"can_see_bank_account_label": true,
"can_see_bank_account_national_identifier": true,
"can_see_bank_account_number": true,
"can_see_bank_account_owners": true,
"can_see_bank_account_swift_bic": true,
"can_see_bank_account_type": true,
"can_see_comments": true,
"can_see_corporate_location": true,
"can_see_image_url": true,
"can_see_images": true,
"can_see_more_info": true,
"can_see_open_corporates_url": true,
"can_see_other_account_bank_name": true,
"can_see_other_account_iban": true,
"can_see_other_account_kind": true,
"can_see_other_account_metadata": true,
"can_see_other_account_national_identifier": true,
"can_see_other_account_number": true,
"can_see_other_account_swift_bic": true,
"can_see_owner_comment": true,
"can_see_physical_location": true,
"can_see_private_alias": true,
"can_see_public_alias": true,
"can_see_tags": true,
"can_see_transaction_amount": true,
"can_see_transaction_balance": true,
"can_see_transaction_currency": true,
"can_see_transaction_description": true,
"can_see_transaction_finish_date": true,
"can_see_transaction_metadata": true,
"can_see_transaction_other_bank_account": true,
"can_see_transaction_start_date": true,
"can_see_transaction_this_bank_account": true,
"can_see_transaction_type": true,
"can_see_url": true,
"can_see_where_tag": true
}
],
"bank_id": "gh.29.uk",
"account_routings": [
{
"scheme": "OBP",
"address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
}
],
"account_attributes": [
{
"product_code": "1234BW",
"account_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
"name": "OVERDRAFT_START_DATE",
"type": "DATE_WITH_DAY",
"value": "2012-04-23",
"product_instance_code": "LKJL98769F"
}
],
"tags": [
{
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
"value": "OBP",
"date": "1100-01-01T00:00:00Z",
"user": {
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
"provider": "http://127.0.0.1:8080",
"display_name": "OBP"
}
}
]
}
]
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
- OBP-20017: Current user does not have access to the view. Please specify a valid value for VIEW_ID.
- OBP-50000: Unknown Error.